Browse Source

Fix pep8 job

New versions of isort broke pylint. So force version 4.3.21, similarly
to other Neutron projects fixes

Also add for stable/train neutron in lower-constraints to pass
requirements job

Change-Id: I9eb5fb14c67171c8ba1fa1ea12d3154d6ea19aa7
(cherry picked from commit 79f95d9c3c)
changes/36/748136/2
Bernard Cafarelli 4 months ago
parent
commit
c9cf6d5f47
No known key found for this signature in database GPG Key ID: 9531F08245465A52
2 changed files with 3 additions and 0 deletions
  1. +2
    -0
      lower-constraints.txt
  2. +1
    -0
      test-requirements.txt

+ 2
- 0
lower-constraints.txt View File

@@ -37,6 +37,7 @@ httplib2==0.10.3
idna==2.6
imagesize==1.0.0
iso8601==0.1.12
isort==4.3.21
Jinja2==2.10
jmespath==0.9.3
jsonpatch==1.21
@@ -60,6 +61,7 @@ munch==2.2.0
netaddr==0.7.18
netifaces==0.10.6
neutron-lib==1.18.0
neutron==13.0.0.0b2
openstackdocstheme==1.18.1
openstacksdk==0.12.0
os-api-ref==1.4.0


+ 1
- 0
test-requirements.txt View File

@@ -20,6 +20,7 @@ oslotest>=3.2.0 # Apache-2.0
stestr>=2.0.0 # Apache-2.0
astroid==1.6.5 # LGPLv2.1
pylint==1.9.2 # GPLv2
isort==4.3.21 # MIT
psycopg2>=2.7.7 # LGPL/ZPL
PyMySQL>=0.7.6 # MIT License
reno>=2.5.0 # Apache-2.0

Loading…
Cancel
Save